Next: DCMPLX, Previous: DATE_AND_TIME, Up: Intrinsic Procedures [Contents][Index]

### 9.83 `DBLE` — Double conversion function

Description:

  `DBLE(A)` Converts A to double precision real type.

Standard:

  Fortran 77 and later

Class:

  Elemental function

Syntax:

  `RESULT = DBLE(A)`

Arguments:

  A | The type shall be `INTEGER`, `REAL`, or `COMPLEX`.

Return value:

  The return value is of type double precision real.

Example:

      program test_dble
          real    :: x = 2.18
          integer :: i = 5
          complex :: z = (2.3,1.14)
          print *, dble(x), dble(i), dble(z)
      end program test_dble

See also:

  REAL